#!/bin/bash

# Mettre le serveur NextCloud en mode maintenance
docker compose exec -u www-data app php occ maintenance:mode --on

# Extraire les dossiers de sauvegarde
cd /root/nxc

# Copie locale de la sauvegarde
rsync -Aavx nextcloud/ nextcloud-dirbkp_`date +"%Y%m%d"`/ 

# Base de données MySQL/MariaDB
docker compose exec db mysqldump -u nextcloud -pAzerty1+ nextcloud > nextcloud-sqlbkp_`date +"%Y%m%d"`.bak

# Sortir du mode maintenance
docker compose exec -u www-data app php occ maintenance:mode --off
